Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf
Class PropertySetFactory

    java.lang.Object
      org.apache.poi.hpsf.PropertySetFactory

public class PropertySetFactory
extends java.lang.Object

Factory class to create instances of `SummaryInformation`, `DocumentSummaryInformation` and `PropertySet`.

Since:
  2002-02-09
Version:
  $Id: PropertySetFactory.java,v 1.6.4.1 2004/02/22 11:54:45 glens Exp $
Author:
  Rainer Klute (klute@rainer-klute.de)

Constructor Summary
`PropertySetFactory()`

Method Summary
`static PropertySet` | `create(java.io.InputStream stream)` Creates the most specific `PropertySet` from an `InputStream`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertySetFactory

    public PropertySetFactory()

Method Detail

### create

    public static PropertySet create(java.io.InputStream stream)
                              throws NoPropertySetStreamException,
                                     MarkUnsupportedException,
                                     UnexpectedPropertySetTypeException,
                                     java.io.IOException

  Creates the most specific `PropertySet` from an `InputStream`. This is preferrably a `DocumentSummaryInformation` or a `SummaryInformation`. If the specified `InputStream` does not contain a property set stream, an exception is thrown and the `InputStream` is repositioned at its beginning.

  Parameters:
    `stream` - Contains the property set stream's data.
  Returns:
    The created `PropertySet`.
  Throws:
    `NoPropertySetStreamException` - if the stream does not contain a property set.
    `MarkUnsupportedException` - if the stream does not support the `mark` operation.
    `UnexpectedPropertySetTypeException` - if the property set's type is unexpected.
    `java.io.IOException` - if some I/O problem occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.